# Uses of Class
org.apache.avro.mapred.AvroWrapper

Packages that use AvroWrapper
Package
Description
org.apache.avro.hadoop.io
org.apache.avro.mapred
Run Hadoop MapReduce jobs over Avro data, with map and reduce functions written in Java.

## Uses of AvroWrapper in org.apache.avro.hadoop.io

Classes in org.apache.avro.hadoop.io with type parameters of type AvroWrapper
Modifier and Type
Class
Description
`class`
`AvroDeserializer<T extends AvroWrapper<D>,D>`
Deserializes AvroWrapper objects within Hadoop.
Methods in org.apache.avro.hadoop.io that return AvroWrapper
Modifier and Type
Method
Description
`protected AvroWrapper<D>`
AvroKeyDeserializer.`createAvroWrapper()`
Creates a new empty `AvroKey` instance.
`protected AvroWrapper<D>`
AvroValueDeserializer.`createAvroWrapper()`
Creates a new empty `AvroValue` instance.
Methods in org.apache.avro.hadoop.io that return types with arguments of type AvroWrapper
Modifier and Type
Method
Description
`Deserializer<AvroWrapper<T>>`
AvroSerialization.`getDeserializer(Class<AvroWrapper<T>> c)`
Gets an object capable of deserializing the output from a Mapper.
`Serializer<AvroWrapper<T>>`
AvroSerialization.`getSerializer(Class<AvroWrapper<T>> c)`
Gets an object capable of serializing output from a Mapper.
Methods in org.apache.avro.hadoop.io with parameters of type AvroWrapper
Modifier and Type
Method
Description
`Object`
AvroDatumConverterFactory.AvroWrapperConverter.`convert(AvroWrapper<?> input)`
`void`
AvroSerializer.`serialize(AvroWrapper<T> avroWrapper)`
Method parameters in org.apache.avro.hadoop.io with type arguments of type AvroWrapper
Modifier and Type
Method
Description
`Deserializer<AvroWrapper<T>>`
AvroSerialization.`getDeserializer(Class<AvroWrapper<T>> c)`
Gets an object capable of deserializing the output from a Mapper.
`Serializer<AvroWrapper<T>>`
AvroSerialization.`getSerializer(Class<AvroWrapper<T>> c)`
Gets an object capable of serializing output from a Mapper.

## Uses of AvroWrapper in org.apache.avro.mapred

Subclasses of AvroWrapper in org.apache.avro.mapred
Modifier and Type
Class
Description
`class`
`AvroKey<T>`
The wrapper of keys for jobs configured with `AvroJob` .
`class`
`AvroValue<T>`
The wrapper of values for jobs configured with `AvroJob` .
Methods in org.apache.avro.mapred that return AvroWrapper
Modifier and Type
Method
Description
`AvroWrapper<T>`
AvroRecordReader.`createKey()`
Methods in org.apache.avro.mapred that return types with arguments of type AvroWrapper
Modifier and Type
Method
Description
`Deserializer<AvroWrapper<T>>`
AvroSerialization.`getDeserializer(Class<AvroWrapper<T>> c)`
Returns the specified map output deserializer.
`RecordReader<AvroWrapper<T>,NullWritable>`
AvroInputFormat.`getRecordReader(InputSplit split, JobConf job, Reporter reporter)`
`RecordReader<AvroWrapper<org.apache.avro.util.Utf8>,NullWritable>`
AvroUtf8InputFormat.`getRecordReader(InputSplit split, JobConf job, Reporter reporter)`
`RecordReader<AvroWrapper<Pair<K,V>>,NullWritable>`
SequenceFileInputFormat.`getRecordReader(InputSplit split, JobConf job, Reporter reporter)`
`RecordWriter<AvroWrapper<T>,NullWritable>`
AvroOutputFormat.`getRecordWriter(FileSystem ignore, JobConf job, String name, Progressable prog)`
`Serializer<AvroWrapper<T>>`
AvroSerialization.`getSerializer(Class<AvroWrapper<T>> c)`
Returns the specified output serializer.
Methods in org.apache.avro.mapred with parameters of type AvroWrapper
Modifier and Type
Method
Description
`int`
AvroKeyComparator.`compare(AvroWrapper<T> x, AvroWrapper<T> y)`
`boolean`
AvroRecordReader.`next(AvroWrapper<T> wrapper, NullWritable ignore)`
Method parameters in org.apache.avro.mapred with type arguments of type AvroWrapper
Modifier and Type
Method
Description
`Deserializer<AvroWrapper<T>>`
AvroSerialization.`getDeserializer(Class<AvroWrapper<T>> c)`
Returns the specified map output deserializer.
`Serializer<AvroWrapper<T>>`
AvroSerialization.`getSerializer(Class<AvroWrapper<T>> c)`
Returns the specified output serializer.